KAS-SHELL(1)

NAME
kas-shell - kas shell plugin

SYNOPSIS

            kas shell [-h] [--skip STEP] [--force-checkout] [--update] [-E] [-k]
                      [-c COMMAND]
                      [config]

DESCRIPTION

Run a shell in the build environment.

This plugin implements the kas shell command.

When this command is executed, kas will checkout repositories, setup the build environment and then start a shell in the build environment. This can be used to manually run bitbake with custom command line options or to execute other commands such as runqemu. The SHELL environment variable is inherited from the calling environment and controls which shell is started.

For example, to start a shell in the build environment for the file kas-project.yml you could run:

            kas shell kas-project.yml

Or to invoke qemu to test an image which has been built:

            kas shell kas-project.yml -c 'runqemu'

OPTIONS

Positional Arguments

    config
        Config file(s), separated by colon. Using .config.yaml in KAS_WORK_DIR if none is specified.

Named Arguments

    --skip=[]
        Skip build steps. To skip more than one step, use this argument multiple times.

        Possible choices: setup_dir, setup_home, make_non_interactive, init_setup_repos, repo_setup_loop, finish_setup_repos, repos_checkout, repos_apply_patches, setup_environ, write_bbconfig

    --force-checkout=False
        Always checkout the desired commit/branch/tag of each repository, discarding any local changes

    --update=False
        Pull new upstream changes to the desired branch even if it is already checked out locally

    -E=False, --preserve-env=False
        Keep current user environment block

    -k, --keep-config-unchanged
        Skip steps that change the configuration

    -c='', --command=''
        Run command

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025